# Get contract

Get contract by ID

Endpoint: GET /contract/{id}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `id` (string, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `contract` (object)

  - `contract.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `contract.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `contract.uuid` (string, required)

  - `contract.primaryPlatformId` (string, required)

  - `contract.createdAt` (string)
    The date and time this Entity has been created

  - `contract.updatedAt` (string)
    The date and time this Entity has been updated

  - `contract.language` (object)
    circular reference

  - `contract.title` (string)

  - `contract.description` (string)

  - `contract.deliveryTerms` (string)
    Enum: "EXW", "FCA", "FAS", "FOB", "CPT", "CIP", "CFR", "CIF", "DAP", "DPU", "DDP"

  - `contract.contractor` (object)
    circular reference

  - `contract.contractorSignee` (object)

  - `contract.contractorSignee.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `contract.contractorSignee.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `contract.contractorSignee.uuid` (string, required)

  - `contract.contractorSignee.primaryPlatformId` (string, required)

  - `contract.contractorSignee.createdAt` (string)
    The date and time this Entity has been created

  - `contract.contractorSignee.updatedAt` (string)
    The date and time this Entity has been updated

  - `contract.contractorSignee.language` (object)
    circular reference

  - `contract.contractorSignee.firstName` (string)

  - `contract.contractorSignee.lastName` (string)

  - `contract.contractorSignee.position` (string)

  - `contract.contractorSignee.email` (string)

  - `contract.contractorSignee.phone` (string)

  - `contract.contractorSignee.mobilePhone` (string)

  - `contract.client` (object)
    circular reference

  - `contract.clientSignee` (object)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


